#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_AI3(void)
{
#if (PRO_AI3)
    if(g_VehicleType == CAR_TYPE_ICV){
        SetTelltalePos("MPH",                        MPH);
        SetTelltalePos("HighBeam",              HighBeam);
        SetTelltalePos("LowBeam",                LowBeam);
        SetTelltalePos("LeftTurn",              LeftTurn);
        SetTelltalePos("RightTurn",            RightTurn);
        SetTelltalePos("TailLamp",              TailLamp);
        SetTelltalePos("ParkingBreak",      ParkingBreak);
        SetTelltalePos("ABS",                        ABS);
        SetTelltalePos("MasterSymbol",      MasterSymbol);
        SetTelltalePos("Tpms",                      Tpms);
        SetTelltalePos("Immobilizer",        Immobilizer);
        SetTelltalePos("SeatBelt",              SeatBelt);
        SetTelltalePos("LED Lamp Fail",      LedLampFail);
        SetTelltalePos("ICE WARNING",         IceWarning);
        SetTelltalePos("Mdps",                      Mdps);
        SetTelltalePos("BatteryCharge",    BatteryCharge);
        SetTelltalePos("AirBag",                  AirBag);
        SetTelltalePos("OilPressure",        OilPressure);
        SetTelltalePos("ESC",                        ESC);
        SetTelltalePos("EscOff",                  EscOff);
        SetTelltalePos("CheckEngine",        CheckEngine); 
        SetTelltalePos("AllLedOpen",          AllLedOpen);
        SetTelltalePos("LowFuel",     DMS_RestoreDefault);
        }
    else {
	    SetTelltalePos("HighBeam",              HighBeam);
        SetTelltalePos("LowBeam",                LowBeam);
        SetTelltalePos("LeftTurn",              LeftTurn);
        SetTelltalePos("RightTurn",            RightTurn);
        SetTelltalePos("TailLamp",              TailLamp);
        SetTelltalePos("ParkingBreak",      ParkingBreak);
        SetTelltalePos("CNG FAILURE",         CngFailure);
        SetTelltalePos("ABS",                        ABS);
        SetTelltalePos("MasterSymbol",      MasterSymbol);
        SetTelltalePos("Tpms",                      Tpms);
        SetTelltalePos("Immobilizer",        Immobilizer);
        SetTelltalePos("SeatBelt",              SeatBelt);
        SetTelltalePos("LED Lamp Fail",      LedLampFail);
        SetTelltalePos("ICE WARNING",         IceWarning);
        SetTelltalePos("HOT TEMP",               HotLamp);
        SetTelltalePos("FUEL MODE CNG",      FuleModeCHG);
        SetTelltalePos("FUEL MODE PETROL",FuleModePETROL);
        SetTelltalePos("Mdps",                      Mdps);
        SetTelltalePos("BatteryCharge",    BatteryCharge);
        SetTelltalePos("AirBag",                  AirBag);
        SetTelltalePos("OilPressure",        OilPressure);
        SetTelltalePos("ESC",                        ESC);
        SetTelltalePos("EscOff",                  EscOff);
        SetTelltalePos("CheckEngine",        CheckEngine);
        SetTelltalePos("LowCng",                  LowCNG);
        SetTelltalePos("LowFuel",     DMS_RestoreDefault);
		}
#endif
}


